<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bGU" . "="), "_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""), "_32710812e9f3c730de65" . "79937e571ec3" => base64_decode("PC9" . "kaX" . "Y+"), "_9d563921fc01094b4d118c5" . "bf2187d4b" => base64_decode("Y2xhX2" . "h0bWxz" . "YWZl"), "_5e5ff29e5570db7c92f6a3fb" . "65526022" => base64_decode("PGRpdiBjbGFzcz0iYWxlc" . "nQgYWxlcnQtZGFuZ2VyIi" . "Byb2xlPSJhbGVydCI+"), "_daabcaef5d13ad11434c" . "594d45e1fc0e" => base64_decode("RXJyb3IgbWVzc" . "2FnZQ=="));
use Claromentis\Core\Application;
use Claromentis\Core\Component\Exception\ComponentException;






class MessageComponent implements ComponentInterface
{
    protected string $header;
    protected string $body;
    protected ?ComponentInterface $parent;
    public function __construct(string $_c8e54c9b73e8f8de2a97a9c3a1daf1c3, string $_f50e845669e7cd06bbc643eeb57aa01d, ComponentInterface $_bc1b84b0f9f841f8b734489a4a3783ad = null)
    {
        $this->header = $_c8e54c9b73e8f8de2a97a9c3a1daf1c3;
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
        $this->parent = $_bc1b84b0f9f841f8b734489a4a3783ad;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $app)
    {
        $_f50e845669e7cd06bbc643eeb57aa01d = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_9d563921" . "fc01094b4" . "d118c5bf2" . "187d4b"]($this->body);
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5e5ff29e5570db7c" . "92f6a3fb65526022"] . $_f50e845669e7cd06bbc643eeb57aa01d . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_32710812e9f3c730de6579937e571" . "ec3"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $app)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_9d56392" . "1fc01094" . "b4d118c5" . "bf2187d4" . "b"]($this->header);
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        if (null !== $this->parent) {
            return $this->parent->GetSizeConstraints();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        if (null !== $this->parent) {
            return $this->parent->GetCssClass();
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab93bebb00bbe69e8159697" . "c90"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["tit" . "le"] => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_daabcaef5d13ad11434c594d" . "45e1fc0e"]];
    }
}